
    <input type="hidden" name="ajout-ordre" id="ajout-ordre" value="{{ pj.NO_ORDRE }}" />
    <input type="hidden" name="num_pj" id="num_pj" value="{{ pj.num_pj }}" />
    <div class="row">
        {{ inputAdvance('SELECT', {
            'titre' : 'Type' | trad,
            'name' : 'ajout-pj',
            'listeValue' : tableau_pj,
            'value' : pj.TYPE_PJ,
            'option' : (module!='panier' and mode!='modification')? '':'readonly',
        }) }}
    </div>
    <div class="row">
        {{ inputAdvance('TEXT',{
            'titre' : 'Titre' | trad ,
            'name' : 'ajout-titre',
            'value' : pj.TITRE,
            'pathValidator' : path('Ajax.validator.isStringAvecEspace'),
            'paramsValidator' : "{'sizeMin' : '1', 'sizeMax' : '60'}",
            'obligatoire' : true,
        }) }}
    </div>             
    {% if module!='panier' and mode!='modification' %}   
        <div class="row">
            {{ inputAdvance('FILE', {'name' : 'new-file', 'value' : pj.NOM_ORI | convert_encoding('UTF-8', 'ISO-8859-1') }) }}        
        </div>
    
    
        {# OUVERTUR #}
        {% if module == '' %}
            <div class="row">
                {{ inputSwitch('Ouverture en lecture seule ?' | trad, 'LECTURE', 'on') }}
            </div>
        {% else %}
            <input type="hidden" name="LECTURE" id="input_LECTURE" value="1">
        {% endif %}
        <div class="row">
            {# IMPRIMABLE #}
            {{ inputSwitch('A imprimer avec le document ?' | trad, 'IMP_PJ', pj.IMP_PJ | boolSql ) }}
        </div>
        <div class="row">
            {# AIMPRIMER #}
            {{ inputSwitch('Imprimer le titre sur le document ?' | trad, 'IMP_TITRE', pj.IMP_TITRE | boolSql ) }}
        </div>
    {% else %}
        <script>
            if(jForm){} else{var jForm = new FormData();}
        </script>
    {% endif %}
    
    <div class="row">
        <button type="button" class="principal button button_right" id="btnEnvoyer">{{ 'Valider'|trad }}</button>
        {% if pathAnnuler %}
            {{ Button('Annuler' | trad, false, pathAnnuler , '', {}, false, 'button_right') }}
        {% elseif pathAnnulerJS %}
            <button type="button" class="secondaire button button_right" onClick="{{ pathAnnulerJS }}">{{ 'Annuler'|trad }}</button>
        {% endif %}
    </div>

    <script>
        function changeDocument()
        {
            jForm.delete("importnew-file");
            $('#file_name_zone').html('');
            $('#file_namenew-file').val('');
            $('#text_new-file').html('{{ 'Déplacez votre fichier ici, ou bien cliquez pour ajouter.' | trad }}');
        }

        $('#btnEnvoyer').click(function() {
            activeLoader();
            jForm.append("ajout-ordre", $('[name="ajout-ordre"]').val());
            jForm.append("ajout-pj", $('[name="ajout-pj"]').val());
            jForm.append("ajout-titre", $('[name="ajout-titre"]').val());
            jForm.append("LECTURE", $('[name="LECTURE"]').val());
            jForm.append("IMP_PJ", $('[name="IMP_PJ"]').is(':checked'));
            jForm.append("IMP_TITRE", $('[name="IMP_TITRE"]').is(':checked'));
            jForm.append("file_name", $('[name="file_name"]').val());
            jForm.append("NOM_FIC", $('[name="NOM_FIC"]').val());

            jForm.append("num_pj", $('[name="num_pj"]').val());

            $.ajax({
                url : '{{ pathEnregistrement }}',
                type: 'POST',
                dataType : 'JSON',
                data: jForm,
                mimeType: 'multipart/form-data',
                contentType: false,
                cache: false,
                processData: false,
                success: function (data) {
                    if(data.statut == 'O') {
                        desactiveLoader();
                        {{ actionOK | raw }}
                    } else {
                        desactiveLoader();
                        activePopupErreur('{{ path('Ajax.Erreur.popupErreurValid') }}', '{{ 'Erreur lors de la validation !' | trad }}', data.erreur);
                    }
                }
            });
        });

    </script>